Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2144 - Alpha kernel oops from stat(NULL,...)
Summary: Alpha kernel oops from stat(NULL,...)
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 6.0
Hardware: alpha
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-04-12 18:38 UTC by Owen Taylor
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-21 18:18:52 UTC


Attachments (Terms of Use)

Description Owen Taylor 1999-04-12 18:38:14 UTC
Calling stat with a NULL pointer produces an oops on the
current Alpha kernel instead of correct returning
EFAULT. (as it does on Intel)

The following program demonstrates.

====
#include <sys/stat.h>
#include <string.h>
#include <stdio.h>
#include <errno.h>
#include <unistd.h>

int main ()
{
  struct stat buf;

  if (stat (NULL, &buf) != 0)
    printf("Error correctly returned: %s\n",
	    strerror (errno));
}

Comment 1 Jeff Johnson 1999-08-21 18:18:59 UTC
The behavior on 2.2.5 alpha is to generate an exception message
on the console and return EFAULT.


Note You need to log in before you can comment on or make changes to this bug.